com.genesyslab.wfm8.API.service.forecast810

## Class FrcEventsEx

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast810.FrcEventsEx

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcEventsEx
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `disregard` Disregard event flag
    `protected double` | `endDateTime` Event end date and time
    `protected double` | `endImpactPCT` End impact %
    `protected int` | `eventId` Forecast event ID
    `protected int` | `impactDurationHrs` Impact duration in hours
    `protected double` | `impactStartDateTime` Impact start date and time
    `protected int` | `impactUnit` Impact unit: days/hours
    `protected java.util.List<java.lang.Double>` | `impactVector` Impact percentage array
    `protected double` | `initImpactPCT` Initial impact %
    `protected java.lang.String` | `name` Forecast event name
    `private static long` | `serialVersionUID`
    `protected double` | `startDateTime` Event start date and time
    `protected double` | `value` Event initial value
    `protected int` | `vectorSize` Impact array size

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcEventsEx()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getEndDateTime()` Gets the endDateTime value for this FrcEventsEx.
    `double` | `getEndImpactPCT()` Gets the endImpactPCT value for this FrcEventsEx.
    `int` | `getEventId()` Gets the eventId value for this FrcEventsEx.
    `int` | `getImpactDurationHrs()` Gets the impactDurationHrs value for this FrcEventsEx.
    `double` | `getImpactStartDateTime()` Gets the impactStartDateTime value for this FrcEventsEx.
    `int` | `getImpactUnit()` Gets the impactUnit value for this FrcEventsEx.
    `java.util.List<java.lang.Double>` | `getImpactVector()` Gets the impactVector value for this FrcEventsEx.
    `double` | `getInitImpactPCT()` Gets the initImpactPCT value for this FrcEventsEx.
    `java.lang.String` | `getName()` Gets the name value for this FrcEventsEx.
    `double` | `getStartDateTime()` Gets the startDateTime value for this FrcEventsEx.
    `double` | `getValue()` Gets the value value for this FrcEventsEx.
    `int` | `getVectorSize()` Gets the vectorSize value for this FrcEventsEx.
    `int` | `hashCode()`
    `boolean` | `isDisregard()` Gets the disregard value for this FrcEventsEx.
    `void` | `setDisregard(boolean disregard)` Sets the disregard value for this FrcEventsEx.
    `void` | `setEndDateTime(double endDateTime)` Sets the endDateTime value for this FrcEventsEx.
    `void` | `setEndImpactPCT(double endImpactPCT)` Sets the endImpactPCT value for this FrcEventsEx.
    `void` | `setEventId(int eventId)` Sets the eventId value for this FrcEventsEx.
    `void` | `setImpactDurationHrs(int impactDurationHrs)` Sets the impactDurationHrs value for this FrcEventsEx.
    `void` | `setImpactStartDateTime(double impactStartDateTime)` Sets the impactStartDateTime value for this FrcEventsEx.
    `void` | `setImpactUnit(int impactUnit)` Sets the impactUnit value for this FrcEventsEx.
    `void` | `setImpactVector(java.util.List<java.lang.Double> impactVector)` Sets the impactVector value for this FrcEventsEx.
    `void` | `setInitImpactPCT(double initImpactPCT)` Sets the initImpactPCT value for this FrcEventsEx.
    `void` | `setName(java.lang.String name)` Sets the name value for this FrcEventsEx.
    `void` | `setStartDateTime(double startDateTime)` Sets the startDateTime value for this FrcEventsEx.
    `void` | `setValue(double value)` Sets the value value for this FrcEventsEx.
    `void` | `setVectorSize(int vectorSize)` Sets the vectorSize value for this FrcEventsEx.
    `java.lang.String` | `toString()`
    `FrcEventsEx` | `withDisregard(boolean value)`
    `FrcEventsEx` | `withEndDateTime(double value)`
    `FrcEventsEx` | `withEndImpactPCT(double value)`
    `FrcEventsEx` | `withEventId(int value)`
    `FrcEventsEx` | `withImpactDurationHrs(int value)`
    `FrcEventsEx` | `withImpactStartDateTime(double value)`
    `FrcEventsEx` | `withImpactUnit(int value)`
    `FrcEventsEx` | `withImpactVector(java.util.Collection<java.lang.Double> values)`
    `FrcEventsEx` | `withImpactVector(java.lang.Double... values)`
    `FrcEventsEx` | `withInitImpactPCT(double value)`
    `FrcEventsEx` | `withName(java.lang.String value)`
    `FrcEventsEx` | `withStartDateTime(double value)`
    `FrcEventsEx` | `withValue(double value)`
    `FrcEventsEx` | `withVectorSize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### eventId

          protected int eventId

      Forecast event ID

    - #### name

          protected java.lang.String name

      Forecast event name

    - #### startDateTime

          protected double startDateTime

      Event start date and time

    - #### endDateTime

          protected double endDateTime

      Event end date and time

    - #### impactStartDateTime

          protected double impactStartDateTime

      Impact start date and time

    - #### value

          protected double value

      Event initial value

    - #### disregard

          protected boolean disregard

      Disregard event flag

    - #### initImpactPCT

          protected double initImpactPCT

      Initial impact %

    - #### endImpactPCT

          protected double endImpactPCT

      End impact %

    - #### impactUnit

          protected int impactUnit

      Impact unit: days/hours

    - #### impactDurationHrs

          protected int impactDurationHrs

      Impact duration in hours

    - #### vectorSize

          protected int vectorSize

      Impact array size

    - #### impactVector

          protected java.util.List<java.lang.Double> impactVector

      Impact percentage array

  - ### Constructor Detail

    - #### FrcEventsEx

          public FrcEventsEx()

  - ### Method Detail

    - #### getEventId

          public int getEventId()

      Gets the eventId value for this FrcEventsEx.
      Returns:
        eventId

    - #### setEventId

          public void setEventId(int eventId)

      Sets the eventId value for this FrcEventsEx.
      Parameters:
        `eventId` -

    - #### getName

          public java.lang.String getName()

      Gets the name value for this FrcEventsEx.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name value for this FrcEventsEx.
      Parameters:
        `name` -

    - #### getStartDateTime

          public double getStartDateTime()

      Gets the startDateTime value for this FrcEventsEx.
      Returns:
        startDateTime

    - #### setStartDateTime

          public void setStartDateTime(double startDateTime)

      Sets the startDateTime value for this FrcEventsEx.
      Parameters:
        `startDateTime` -

    - #### getEndDateTime

          public double getEndDateTime()

      Gets the endDateTime value for this FrcEventsEx.
      Returns:
        endDateTime

    - #### setEndDateTime

          public void setEndDateTime(double endDateTime)

      Sets the endDateTime value for this FrcEventsEx.
      Parameters:
        `endDateTime` -

    - #### getImpactStartDateTime

          public double getImpactStartDateTime()

      Gets the impactStartDateTime value for this FrcEventsEx.
      Returns:
        impactStartDateTime

    - #### setImpactStartDateTime

          public void setImpactStartDateTime(double impactStartDateTime)

      Sets the impactStartDateTime value for this FrcEventsEx.
      Parameters:
        `impactStartDateTime` -

    - #### getValue

          public double getValue()

      Gets the value value for this FrcEventsEx.
      Returns:
        value

    - #### setValue

          public void setValue(double value)

      Sets the value value for this FrcEventsEx.
      Parameters:
        `value` -

    - #### isDisregard

          public boolean isDisregard()

      Gets the disregard value for this FrcEventsEx.
      Returns:
        disregard

    - #### setDisregard

          public void setDisregard(boolean disregard)

      Sets the disregard value for this FrcEventsEx.
      Parameters:
        `disregard` -

    - #### getInitImpactPCT

          public double getInitImpactPCT()

      Gets the initImpactPCT value for this FrcEventsEx.
      Returns:
        initImpactPCT

    - #### setInitImpactPCT

          public void setInitImpactPCT(double initImpactPCT)

      Sets the initImpactPCT value for this FrcEventsEx.
      Parameters:
        `initImpactPCT` -

    - #### getEndImpactPCT

          public double getEndImpactPCT()

      Gets the endImpactPCT value for this FrcEventsEx.
      Returns:
        endImpactPCT

    - #### setEndImpactPCT

          public void setEndImpactPCT(double endImpactPCT)

      Sets the endImpactPCT value for this FrcEventsEx.
      Parameters:
        `endImpactPCT` -

    - #### getImpactUnit

          public int getImpactUnit()

      Gets the impactUnit value for this FrcEventsEx.
      Returns:
        impactUnit

    - #### setImpactUnit

          public void setImpactUnit(int impactUnit)

      Sets the impactUnit value for this FrcEventsEx.
      Parameters:
        `impactUnit` -

    - #### getImpactDurationHrs

          public int getImpactDurationHrs()

      Gets the impactDurationHrs value for this FrcEventsEx.
      Returns:
        impactDurationHrs

    - #### setImpactDurationHrs

          public void setImpactDurationHrs(int impactDurationHrs)

      Sets the impactDurationHrs value for this FrcEventsEx.
      Parameters:
        `impactDurationHrs` -

    - #### getVectorSize

          public int getVectorSize()

      Gets the vectorSize value for this FrcEventsEx.
      Returns:
        vectorSize

    - #### setVectorSize

          public void setVectorSize(int vectorSize)

      Sets the vectorSize value for this FrcEventsEx.
      Parameters:
        `vectorSize` -

    - #### getImpactVector

          public java.util.List<java.lang.Double> getImpactVector()

      Gets the impactVector value for this FrcEventsEx.
      Returns:
        impactVector

    - #### setImpactVector

          public void setImpactVector(java.util.List<java.lang.Double> impactVector)

      Sets the impactVector value for this FrcEventsEx.
      Parameters:
        `impactVector` -

    - #### withImpactVector

          public FrcEventsEx withImpactVector(java.util.Collection<java.lang.Double> values)

    - #### withImpactVector

          public FrcEventsEx withImpactVector(java.lang.Double... values)

    - #### withVectorSize

          public FrcEventsEx withVectorSize(int value)

    - #### withValue

          public FrcEventsEx withValue(double value)

    - #### withDisregard

          public FrcEventsEx withDisregard(boolean value)

    - #### withImpactDurationHrs

          public FrcEventsEx withImpactDurationHrs(int value)

    - #### withImpactUnit

          public FrcEventsEx withImpactUnit(int value)

    - #### withEventId

          public FrcEventsEx withEventId(int value)

    - #### withName

          public FrcEventsEx withName(java.lang.String value)

    - #### withInitImpactPCT

          public FrcEventsEx withInitImpactPCT(double value)

    - #### withEndImpactPCT

          public FrcEventsEx withEndImpactPCT(double value)

    - #### withStartDateTime

          public FrcEventsEx withStartDateTime(double value)

    - #### withEndDateTime

          public FrcEventsEx withEndDateTime(double value)

    - #### withImpactStartDateTime

          public FrcEventsEx withImpactStartDateTime(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.